Subject: [netmod] Update to YANG versioning requirements draft

From: "Joe Clarke (jclarke)" <[email-masked]>
Date: Wed, 5 Jun 2019 20:26:59 +0000

Coming out of IETF 104, there was feedback that the YANG version requirements draft (draft-ietf-netmod-yang-versioning-reqs) needed a wording change to requirement 1.4.  I have made the change I think addresses the feedback, and I would like to get thoughts on this wording and publish a rev -01 if people are okay with it.

CURRENT OLD TEXT:

1.4  The solution MUST allow for backwards-compatible
     enhancements and bug fixes, as well as non-backwards-
     compatible bug fixes in non-latest-release modules.

PROPOSED NEW TEXT:

1.4  The solution MUST be able to express when non-backwards-
     compatible changes have occurred between two revisions of a
     given YANG module.

Thanks.

Joe